var k = 0.015;
var wheelbase = 2.71;

laps = telemetry.getAllLaps();
for (let i = 0; i < laps.length; i++)
{
    lap = laps[i];
    let glat = lap.channel("lataccel", "m/s²");
    let speed = lap.channel("speed", "m/s");
    let steer = lap.channel("steeringwheelangle", "rad");
    
    let oversteer = lap.editChannel("oversteer");
    
    for (let j = 0; j < speed.length; j++)
    {
        if (speed.value(j) < 10)
            oversteer.setValue(j, 0);
        else
        {
            oversteer.setValue(j, 
                Math.sign(glat.value(j)) * 
                (glat.value(j) / (Math.pow(speed.value(j), 2)) - 
                steer.value(j) * k
                )
                );                  
        }         
    }
    
}